Deposit check
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
API reference
Sends the Cross River system information needed to deposit a check into a Cross River account using the API. This information includes images of both the front and the back of the check. You submit these images after converting each one to a Base64-encoded value.
Endpoint: /checks/v1/payments
POST
https://sandbox.crbcos.com/checks/v1/payments
curl --location 'https://sandbox.crbcos.com/checks/v1/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"accountNumber": "2640511503",
"amount": 10000,
"frontImage": "/9j/4QuqRXhpZgAATU0AKgA...",
"backImage": "/9j/4REyRXhpZgAATU0AKgAA...",
"isRedeposit": false,
"purpose": "SKIP_IQA"
}'